Loading...
Searching...
No Matches
_snd_ump_msg_midi2_per_note_cc Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | note
uint8_t | index
uint32_t | data

## Detailed Description

MIDI 2.0 Per-Note Controller (64bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi2_per_note_cc::channel

Channel

## data

uint32_t _snd_ump_msg_midi2_per_note_cc::data

Data (32bit)

## group

uint8_t _snd_ump_msg_midi2_per_note_cc::group

UMP Group

## index

uint8_t _snd_ump_msg_midi2_per_note_cc::index

Control index (8bit)

## note

uint8_t _snd_ump_msg_midi2_per_note_cc::note

Note (7bit)

## status

uint8_t _snd_ump_msg_midi2_per_note_cc::status

Status

## type

uint8_t _snd_ump_msg_midi2_per_note_cc::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-INT9kU/alsa-lib-1.2.15.3/include/ump_msg.h